Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 787560 - media-libs/zxing-cpp-1.1.1: /var/tmp/portage/media-libs/zxing-cpp-1.1.1/work/zxing-cpp-1.1.1/core/src/Pattern.h:210:54: error: ‘numeric_limits’ is not a member of ‘std’ (Package fails to compile due to GCC 11.1.0)
Summary: media-libs/zxing-cpp-1.1.1: /var/tmp/portage/media-libs/zxing-cpp-1.1.1/work/...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: https://github.com/nu-book/zxing-cpp/...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-01 22:16 UTC by Willian Richard
Modified: 2021-05-02 07:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-libs/zxing-cpp-1.1.1 build log as requested. (build.log,17.49 KB, text/x-log)
2021-05-01 22:26 UTC, Willian Richard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Willian Richard 2021-05-01 22:16:06 UTC
emerge --info '=media-libs/zxing-cpp-1.1.1::gentoo'
Portage 3.0.18 (python 3.8.9-final-0, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-11.1.0, glibc-2.33, 5.12.0-gentoo-x86_64 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.12.0-gentoo-x86_64-x86_64-Intel-R-_Core-TM-_i5-9400F_CPU_@_2.90GHz-with-glibc2.2.5
KiB Mem:    24443592 total,  16232592 free
KiB Swap:   25165820 total,  25165820 free
Timestamp of repository gentoo: Sat, 01 May 2021 21:30:01 +0000
Head commit of repository gentoo: c55d18a4c4ecb8ded40594ed5466543455606c91
sh bash 5.1_p4
ld GNU ld (Gentoo 2.36.1 p3) 2.36.1
app-shells/bash:          5.1_p4::gentoo
dev-lang/perl:            5.32.1::gentoo
dev-lang/python:          2.7.18_p8::gentoo, 3.8.9::gentoo, 3.9.4::gentoo
dev-lang/rust:            1.51.0-r2::gentoo
dev-util/cmake:           3.20.2::gentoo
sys-apps/baselayout:      2.7-r2::gentoo
sys-apps/sandbox:         2.23::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.3-r1::gentoo
sys-devel/binutils:       2.36.1-r1::gentoo
sys-devel/gcc:            11.1.0::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.12::gentoo (virtual/os-headers)
sys-libs/glibc:           2.33::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: 

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=skylake -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=skylake -O2 -pipe"
DISTDIR="/var/cache/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=6 --load-average=6"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-march=skylake -O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=skylake -O2 -pipe"
GENTOO_MIRRORS="https://gentoo.c3sl.ufpr.br/ http://gentoo.c3sl.ufpr.br/ rsync://gentoo.c3sl.ufpr.br/gentoo/"
LANG="pt_BR.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j7"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa amd64 berkdb branding bzip2 cairo cdda cdr cli crypt cups dbus declarative dri dts dvd dvdr emboss encode exif flac fortran gdbm gif gmp-autoupdate gpm grub gui iconv icu ipv6 jpeg jumbo-build kde kipi kwallet lcms libglvnd libnotify libtirpc mad mng mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qml qt5 readline sdl seccomp semantic-desktop spell split-usr ssl startup-notification svg systemd tcpd tiff truetype udev udisks unicode upower usb vorbis widgets wxwidgets x264 xattr xcb xml xv xvid zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_8" PYTHON_TARGETS="python3_8" RUBY_TARGETS="ruby26" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RUSTFLAGS
Comment 1 Sam James archtester gentoo-dev Security 2021-05-01 22:16:42 UTC
Please attach the full build.log.
Comment 2 Willian Richard 2021-05-01 22:26:41 UTC
Created attachment 705081 [details]
media-libs/zxing-cpp-1.1.1 build log as requested.

This machine uses GCC 11.1.0
Comment 3 Willian Richard 2021-05-01 22:27:10 UTC
(In reply to Sam James from comment #1)
> Please attach the full build.log.

Attached as requested.
Comment 4 Andreas Sturmlechner gentoo-dev 2021-05-01 22:31:00 UTC
Please test.
Comment 5 Willian Richard 2021-05-01 22:46:06 UTC
(In reply to Andreas Sturmlechner from comment #4)
> Please test

Sorry, still doesn't build.

Do I have to pull the patch in manually?
Comment 6 Sam James archtester gentoo-dev Security 2021-05-01 22:46:29 UTC
(In reply to Willian Richard from comment #5)
> (In reply to Andreas Sturmlechner from comment #4)
> > Please test
> 
> Sorry, still doesn't build.
> 
> Do I have to pull the patch in manually?

Yes, you need to put it in /etc/portage/patches to test.
Comment 7 Willian Richard 2021-05-01 22:57:53 UTC
(In reply to Sam James from comment #6)
> (In reply to Willian Richard from comment #5)
> > (In reply to Andreas Sturmlechner from comment #4)
> > > Please test
> > 
> > Sorry, still doesn't build.
> > 
> > Do I have to pull the patch in manually?
> 
> Yes, you need to put it in /etc/portage/patches to test.

Sorry,this is my first bug report and I'm not a developer...
How can I do that?
Comment 8 Sam James archtester gentoo-dev Security 2021-05-01 23:18:19 UTC
(In reply to Willian Richard from comment #7)
> (In reply to Sam James from comment #6)
> > (In reply to Willian Richard from comment #5)
> > > (In reply to Andreas Sturmlechner from comment #4)
> > > > Please test
> > > 
> > > Sorry, still doesn't build.
> > > 
> > > Do I have to pull the patch in manually?
> > 
> > Yes, you need to put it in /etc/portage/patches to test.
> 
> Sorry,this is my first bug report and I'm not a developer...
> How can I do that?

No problem, have a look here: https://wiki.gentoo.org/wiki//etc/portage/patches#Adding_user_patches. All you need to do is put the patch in that folder, like /etc/portage/patches/media-libs/zxing-cpp/test-gcc11.patch.

When you build it again, you should see "User patches applied". If it works (or not), let us know, and we can possibly include it in the real Gentoo tree.

Once it's included, you'll need to remove the file you added so it doesn't get applied twice.
Comment 9 Willian Richard 2021-05-01 23:25:30 UTC
(In reply to Sam James from comment #8)
> (In reply to Willian Richard from comment #7)
> > (In reply to Sam James from comment #6)
> > > (In reply to Willian Richard from comment #5)
> > > > (In reply to Andreas Sturmlechner from comment #4)
> > > > > Please test
> > > > 
> > > > Sorry, still doesn't build.
> > > > 
> > > > Do I have to pull the patch in manually?
> > > 
> > > Yes, you need to put it in /etc/portage/patches to test.
> > 
> > Sorry,this is my first bug report and I'm not a developer...
> > How can I do that?
> 
> No problem, have a look here:
> https://wiki.gentoo.org/wiki//etc/portage/patches#Adding_user_patches. All
> you need to do is put the patch in that folder, like
> /etc/portage/patches/media-libs/zxing-cpp/test-gcc11.patch.
> 
> When you build it again, you should see "User patches applied". If it works
> (or not), let us know, and we can possibly include it in the real Gentoo
> tree.
> 
> Once it's included, you'll need to remove the file you added so it doesn't
> get applied twice.

No no, I did understand I have to put the .patch file in that folder, however, I tried applying it and it gave me a "warning: only garbage was found in the patch input."

Which part of the code in github should I copy into the patch file for it to work?
Comment 10 Sam James archtester gentoo-dev Security 2021-05-01 23:30:38 UTC
(In reply to Willian Richard from comment #9)
> Which part of the code in github should I copy into the patch file for it to
> work?

Append .patch to the URL, so:
wget https://github.com/nu-book/zxing-cpp/commit/427e814ebcfd2e55e1c18531b7e4aa9d6a1ca6fc.patch -O /etc/portage/patches/media-libs/zxing-cpp/gcc11.patch
Comment 11 Willian Richard 2021-05-01 23:40:11 UTC
(In reply to Sam James from comment #10)
> (In reply to Willian Richard from comment #9)
> > Which part of the code in github should I copy into the patch file for it to
> > work?
> 
> Append .patch to the URL, so:
> wget
> https://github.com/nu-book/zxing-cpp/commit/
> 427e814ebcfd2e55e1c18531b7e4aa9d6a1ca6fc.patch -O
> /etc/portage/patches/media-libs/zxing-cpp/gcc11.patch

Reportingm success, bug is fixed and can now be closed.
Comment 12 Sam James archtester gentoo-dev Security 2021-05-01 23:40:49 UTC
(In reply to Willian Richard from comment #11)
> (In reply to Sam James from comment #10)
> > (In reply to Willian Richard from comment #9)
> > > Which part of the code in github should I copy into the patch file for it to
> > > work?
> > 
> > Append .patch to the URL, so:
> > wget
> > https://github.com/nu-book/zxing-cpp/commit/
> > 427e814ebcfd2e55e1c18531b7e4aa9d6a1ca6fc.patch -O
> > /etc/portage/patches/media-libs/zxing-cpp/gcc11.patch
> 
> Reportingm success, bug is fixed and can now be closed.

Can't be closed until we include it in the main tree ;)

Thanks for letting us know!
Comment 13 Andreas Sturmlechner gentoo-dev 2021-05-02 07:14:59 UTC
Thanks for testing!
Comment 14 Larry the Git Cow gentoo-dev 2021-05-02 07:29:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a78e7f1bfd34a0f1ac7710725077999c06805e0

commit 2a78e7f1bfd34a0f1ac7710725077999c06805e0
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-05-02 07:28:41 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-05-02 07:28:55 +0000

    media-libs/zxing-cpp: Fix build with GCC-11
    
    Closes: https://bugs.gentoo.org/787560
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../zxing-cpp/files/zxing-cpp-1.1.1-gcc11.patch    | 22 ++++++++++++++++++++++
 media-libs/zxing-cpp/zxing-cpp-1.1.1.ebuild        |  4 +++-
 2 files changed, 25 insertions(+), 1 deletion(-)